function [ result ] = conditionHGamma( edge, N, H, gamma)
%conditionGammaH true if an edge is in a community defined by gamma and H 
gamma2NH = gamma*gamma-(N-1)*H;
NH2gamma = N-1+H - 2*gamma;
i = edge(1);
j = edge(2);
% derived from (i+p)*(j+p) <= (N-1+p)*(H+p) such that we stay with integers 
result = (i*NH2gamma+gamma2NH)*(j*NH2gamma+gamma2NH) <= ...
         ((N-1)*NH2gamma+gamma2NH)*(H*NH2gamma+gamma2NH);
end

