N=1000;
isPermitted=zeros(N);
for gamma=0:(N-1)
    for H=0:(N-1)
        if H > gamma
            isPermitted(gamma+1,H+1)=isPermitted(gamma+1,H+1)+0.4;
        end
        p = getP( gamma, N, H );
        if isinf(p) || p < -gamma/2
            isPermitted(gamma+1,H+1)=isPermitted(gamma+1,H+1)+0.6;
        end
%        N_full = (N-1+p)*(H+p)/(1+p) - p;
%        if ~isnan(N_full) && gamma > N_full/2,
 %           isPermitted(gamma,H)=isPermitted(gamma,H)+0.1;
 %       end
    end
end
figure;imagesc(isPermitted);
%colorbar();
axis equal
axis tight
set(gca, 'FontSize', 12);
xlabel('H relative to community size');
ylabel('\gamma relative to community size');
set(gca, 'XTick', 1:100:N);
set(gca, 'XTickLabel', 0:0.1:1);
set(gca, 'YTick', 1:100:N);
set(gca, 'YTickLabel', 0:0.1:1);
